xn::Codec Class Reference
C++ Reference to Application Programmer Interface (API) » Production Nodes Functionality

`#include <XnCppWrapper.h>`

Inheritance diagram for xn::Codec:
[legend]

## Public Member Functions

| Codec (XnNodeHandle hNode=NULL)
| Codec (const NodeWrapper &other)
XnStatus | Create (Context &context, XnCodecID codecID, ProductionNode &initializerNode)
XnCodecID | GetCodecID () const
XnStatus | EncodeData (const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten) const
XnStatus | DecodeData (const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten) const
Public Member Functions inherited from xn::ProductionNode
| ProductionNode (XnNodeHandle hNode=NULL)
| ProductionNode (const NodeWrapper &other)
NodeInfo | GetInfo () const
XnStatus | AddNeededNode (ProductionNode &needed)
XnStatus | RemoveNeededNode (ProductionNode &needed)
void | GetContext (Context &context) const
Context | GetContext () const
XnBool | IsCapabilitySupported (const XnChar *strCapabilityName) const
XnStatus | SetIntProperty (const XnChar *strName, XnUInt64 nValue)
XnStatus | SetRealProperty (const XnChar *strName, XnDouble dValue)
XnStatus | SetStringProperty (const XnChar *strName, const XnChar *strValue)
XnStatus | SetGeneralProperty (const XnChar *strName, XnUInt32 nBufferSize, const void *pBuffer)
XnStatus | GetIntProperty (const XnChar *strName, XnUInt64 &nValue) const
XnStatus | GetRealProperty (const XnChar *strName, XnDouble &dValue) const
XnStatus | GetStringProperty (const XnChar *strName, XnChar *csValue, XnUInt32 nBufSize) const
XnStatus | GetGeneralProperty (const XnChar *strName, XnUInt32 nBufferSize, void *pBuffer) const
XnStatus | LockForChanges (XnLockHandle *phLock)
void | UnlockForChanges (XnLockHandle hLock)
XnStatus | LockedNodeStartChanges (XnLockHandle hLock)
void | LockedNodeEndChanges (XnLockHandle hLock)
const ErrorStateCapability | GetErrorStateCap () const
ErrorStateCapability | GetErrorStateCap ()
GeneralIntCapability | GetGeneralIntCap (const XnChar *strCapability)
Public Member Functions inherited from xn::NodeWrapper
| NodeWrapper (XnNodeHandle hNode)
| NodeWrapper (const NodeWrapper &other)
NodeWrapper & | operator= (const NodeWrapper &other)
| ~NodeWrapper ()
| operator XnNodeHandle () const
XnNodeHandle | GetHandle () const
XnBool | operator== (const NodeWrapper &other)
XnBool | operator!= (const NodeWrapper &other)
XnBool | IsValid () const
const XnChar * | GetName () const
XnStatus | AddRef ()
void | Release ()
void | SetHandle (XnNodeHandle hNode)
void | TakeOwnership (XnNodeHandle hNode)

## Detailed Description

Represents a Codec node.

## Constructor & Destructor Documentation

## Codec() [1/2]

xn::Codec::Codec | ( | XnNodeHandle | hNode = NULL | ) |

inline

Ctor

Parameters

  [in] | hNode | Node handle

## Codec() [2/2]

xn::Codec::Codec | ( | const NodeWrapper & | other | ) |

inline

## Member Function Documentation

## Create()

XnStatus xn::Codec::Create | ( | Context & | context,
|  | XnCodecID | codecID,
|  | ProductionNode & | initializerNode )

inline

For full details and usage, see xnCreateCodec

## DecodeData()

XnStatus xn::Codec::DecodeData | ( | const void * | pSrc,
|  | XnUInt32 | nSrcSize,
|  | void * | pDst,
|  | XnUInt32 | nDstSize,
|  | XnUInt * | pnBytesWritten ) const

inline

For full details and usage, see xnDecodeData

## EncodeData()

XnStatus xn::Codec::EncodeData | ( | const void * | pSrc,
|  | XnUInt32 | nSrcSize,
|  | void * | pDst,
|  | XnUInt32 | nDstSize,
|  | XnUInt * | pnBytesWritten ) const

inline

For full details and usage, see xnEncodeData

## GetCodecID()

XnCodecID xn::Codec::GetCodecID | ( |  | ) | const

inline

For full details and usage, see xnGetCodecID

The documentation for this class was generated from the following file:

- XnCppWrapper.h